%define anolis_release 1

%ifarch %{valgrind_arches}
%global has_valgrind 1
%endif

Name:           gcr
Version:        3.92.0
Release:        %{anolis_release}%{dist}
Summary:        A library for bits of crypto UI and parsing

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/CryptoGlue
Source0:        https://download.gnome.org/sources/%{name}/3.92/%{name}-%{version}.tar.xz

BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson >= 0.52
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.44
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libgcrypt) >= 1
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(p11-kit-1) >= 0.19.0
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-rpm-macros
BuildRequires:  vala
%if 0%{?has_valgrind}
BuildRequires:  valgrind-devel
%endif
BuildRequires:  /usr/bin/gpg2
BuildRequires:  /usr/bin/ssh-add
BuildRequires:  /usr/bin/ssh-agent
BuildRequires:  /usr/bin/xsltproc

Requires: %{name}-base = %{version}-%{release}
Requires: /usr/bin/ssh-add
Requires: /usr/bin/ssh-agent

%description
gcr is a library for displaying certificates, and crypto UI, accessing
key stores. It also provides a viewer for crypto files on the GNOME
desktop.

gck is a library for accessing PKCS#11 modules like smart cards.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        libs
Summary:        gcr and gck libraries
Obsoletes:      %{name}-base < 3.92.0-1
Provides:       %{name}-base = %{version}-%{release}

Obsoletes:      %{name}-gtk3 < 3.92.0-1
Obsoletes:      %{name}-gtk4-devel < 3.92.0-1

%description    libs
The %{name}-libs package contains the gcr and gck shared libraries.

%package devel
Summary: Development files for gcr
Requires: %{name} = %{version}-%{release}

Obsoletes:      %{name}-gtk3-devel < 3.92.0-1
Obsoletes:      %{name}-gtk4-devel < 3.92.0-1

%description devel
The gcr-devel package includes the header files for the gcr library.

%prep
%autosetup -p1

%build
%meson
%meson_build


%install
%meson_install
%find_lang gcr-4

%generate_compatibility_deps

%post
%systemd_user_post gcr-ssh-agent.service

%preun
%systemd_user_preun gcr-ssh-agent.service

%postun
%systemd_user_postun_with_restart gcr-ssh-agent.service


%files
%doc NEWS README.md
%{_bindir}/gcr-viewer-gtk4
%{abidir}/gcr-viewer-gtk4-option.list
%{_libexecdir}/gcr-ssh-agent
%{_libexecdir}/gcr4-ssh-askpass
%{_userunitdir}/gcr-ssh-agent.service
%{_userunitdir}/gcr-ssh-agent.socket

%files doc
%doc NEWS README.md

%files libs -f gcr-4.lang
%license COPYING
%dir %{abidir}
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gck-2.typelib
%{_libdir}/girepository-1.0/Gcr-4.typelib
%{_libdir}/libgck-2.so.0.0.0
%{_libdir}/libgck-2.so.1.92.0
%{abidir}/libgck-2.dump
%{_libdir}/libgcr-4.so.0.0.0
%{_libdir}/libgcr-4.so.3.92.0
%{abidir}/libgcr-4.dump

%files devel
%{_includedir}/gck-2/
%{_includedir}/gcr-4/
%{_libdir}/libgck-2.so
%{_libdir}/libgcr-4.so
%{_libdir}/pkgconfig/gck-2.pc
%{_libdir}/pkgconfig/gcr-4.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gck-2.gir
%{_datadir}/gir-1.0/Gcr-4.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gck-2.deps
%{_datadir}/vala/vapi/gck-2.vapi
%{_datadir}/vala/vapi/gcr-4.deps
%{_datadir}/vala/vapi/gcr-4.vapi
%doc %{_datadir}/doc/gck-2/
%doc %{_datadir}/doc/gcr-4/

%changelog
* Thu Mar 16 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.92.0-1
- Update to 3.92.0
- Remove gtk3 and gtk4 subpackages as the gcr gtk3 and gtk4 libraries are gone
- Rename gcr-base to gcr-libs

* Mon Nov 28 2022 Funda Wang <fundawang@yeah.net> - 3.41.1-1
- New version 3.41.1

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.41.0-3
- optimise spec file

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.41.0-2
- add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 3.41.0-1
- Init package from upstream v3.41.0
